SDL_xinputhaptic.c File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_error.h"`
`#include "SDL_haptic.h"`
`#include "../SDL_syshaptic.h"`
`#include "../../core/windows/SDL_windows.h"`
Include dependency graph for SDL_xinputhaptic.c:

Go to the source code of this file.

## Functions

int | SDL_XINPUT_HapticInit (void)
int | SDL_XINPUT_MaybeAddDevice (const DWORD dwUserid)
int | SDL_XINPUT_MaybeRemoveDevice (const DWORD dwUserid)
int | SDL_XINPUT_HapticOpen (SDL_Haptic *haptic, SDL_hapticlist_item *item)
int | SDL_XINPUT_JoystickSameHaptic (SDL_Haptic *haptic, SDL_Joystick *joystick)
int | SDL_XINPUT_HapticOpenFromJoystick (SDL_Haptic *haptic, SDL_Joystick *joystick)
void | SDL_XINPUT_HapticClose (SDL_Haptic *haptic)
void | SDL_XINPUT_HapticQuit (void)
int | SDL_XINPUT_HapticNewEffect (SDL_Haptic *haptic, struct haptic_effect *effect, SDL_HapticEffect *base)
int | SDL_XINPUT_HapticUpdateEffect (SDL_Haptic *haptic, struct haptic_effect *effect, SDL_HapticEffect *data)
int | SDL_XINPUT_HapticRunEffect (SDL_Haptic *haptic, struct haptic_effect *effect, Uint32 iterations)
int | SDL_XINPUT_HapticStopEffect (SDL_Haptic *haptic, struct haptic_effect *effect)
void | SDL_XINPUT_HapticDestroyEffect (SDL_Haptic *haptic, struct haptic_effect *effect)
int | SDL_XINPUT_HapticGetEffectStatus (SDL_Haptic *haptic, struct haptic_effect *effect)
int | SDL_XINPUT_HapticSetGain (SDL_Haptic *haptic, int gain)
int | SDL_XINPUT_HapticSetAutocenter (SDL_Haptic *haptic, int autocenter)
int | SDL_XINPUT_HapticPause (SDL_Haptic *haptic)
int | SDL_XINPUT_HapticUnpause (SDL_Haptic *haptic)
int | SDL_XINPUT_HapticStopAll (SDL_Haptic *haptic)

## Function Documentation

## SDL_XINPUT_HapticClose()

void SDL_XINPUT_HapticClose | ( | SDL_Haptic * | haptic | ) |

Definition at line 411 of file SDL_xinputhaptic.c.

{
}

## SDL_XINPUT_HapticDestroyEffect()

void SDL_XINPUT_HapticDestroyEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 445 of file SDL_xinputhaptic.c.

{
}

## SDL_XINPUT_HapticGetEffectStatus()

int SDL_XINPUT_HapticGetEffectStatus | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 450 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticInit()

int SDL_XINPUT_HapticInit | ( | void |  | ) |

Definition at line 375 of file SDL_xinputhaptic.c.

{
return 0;
}

## SDL_XINPUT_HapticNewEffect()

int SDL_XINPUT_HapticNewEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | SDL_HapticEffect * | base
| ) |  |

Definition at line 421 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticOpen()

int SDL_XINPUT_HapticOpen | ( | SDL_Haptic * | haptic,
|  | SDL_hapticlist_item * | item
| ) |  |

Definition at line 393 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticOpenFromJoystick()

int SDL_XINPUT_HapticOpenFromJoystick | ( | SDL_Haptic * | haptic,
|  | SDL_Joystick * | joystick
| ) |  |

Definition at line 405 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticPause()

int SDL_XINPUT_HapticPause | ( | SDL_Haptic * | haptic | ) |

Definition at line 468 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticQuit()

void SDL_XINPUT_HapticQuit | ( | void |  | ) |

Definition at line 416 of file SDL_xinputhaptic.c.

{
}

## SDL_XINPUT_HapticRunEffect()

int SDL_XINPUT_HapticRunEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | Uint32 | iterations
| ) |  |

Definition at line 433 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticSetAutocenter()

int SDL_XINPUT_HapticSetAutocenter | ( | SDL_Haptic * | haptic,
|  | int | autocenter
| ) |  |

Definition at line 462 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticSetGain()

int SDL_XINPUT_HapticSetGain | ( | SDL_Haptic * | haptic,
|  | int | gain
| ) |  |

Definition at line 456 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticStopAll()

int SDL_XINPUT_HapticStopAll | ( | SDL_Haptic * | haptic | ) |

Definition at line 480 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticStopEffect()

int SDL_XINPUT_HapticStopEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 439 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticUnpause()

int SDL_XINPUT_HapticUnpause | ( | SDL_Haptic * | haptic | ) |

Definition at line 474 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_HapticUpdateEffect()

int SDL_XINPUT_HapticUpdateEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | SDL_HapticEffect * | data
| ) |  |

Definition at line 427 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_JoystickSameHaptic()

int SDL_XINPUT_JoystickSameHaptic | ( | SDL_Haptic * | haptic,
|  | SDL_Joystick * | joystick
| ) |  |

Definition at line 399 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_MaybeAddDevice()

int SDL_XINPUT_MaybeAddDevice | ( | const DWORD | dwUserid | ) |

Definition at line 381 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_XINPUT_MaybeRemoveDevice()

int SDL_XINPUT_MaybeRemoveDevice | ( | const DWORD | dwUserid | ) |

Definition at line 387 of file SDL_xinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53